body {
  font-family: Arial, sans-serif;
  /* background-color: #f0f0f0; */
  background-image: url(https://wallpapercave.com/wp/wp2675339.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.form-container {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 20px;
  width: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.form-container h1 {
  margin: 0;
  padding: 10px 0;
  text-align: center;
  color: #333;
}

.form-container form {
  width: 100%;
}

.form-container form label {
  display: block;
  margin-bottom: 5px;
  color: #666;
}

.form-container form input[type="text"],
.form-container form input[type="password"],
.form-container form input[type="submit"] {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.form-container form input[type="submit"] {
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
}

.form-container form input[type="submit"]:hover {
  background-color: #0056b3;
}

.form-container button {
  background-color: transparent;
  border: none;
  color: #007bff;
  cursor: pointer;
  font-size: 14px;
  text-decoration: underline;
  margin-top: 10px;
}

.form-container button:focus {
  outline: none;
}

.register-form {
  display: none;
}


.score-container {
  background-color: #f0f0f0;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  text-align: center;
}

.username,
.cleared-lines,
.high-score,
.game-end {
  margin: 5px;
  color: #333;
}

.username {
  font-size: 20px;
}

.cleared-lines,
.high-score {
  font-size: 16px;
}

.game-end {
  font-size: 24px;
  font-weight: bold;
  color: #ff0000;
}

.info {
  padding: 10px;
  background-color: #000000;
  color: white;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.radio-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border: 2px solid #ddd;
  border-radius: 8px; 
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 20px;
}

.radio-container label {
  margin-left: 10px;
}

.radio-container input[type="radio"] {
  margin-right: 10px; 
}

.submit-button {
  margin-left: 20px;
  padding: 10px 20px;
  border-radius: 8px; 
  background-color: #007bff; 
  color: #fff; 
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
  cursor: pointer; 
  transition: background-color 0.2s; 
}

.radio-container > :not(:last-child) {
  margin-right: 20px;
}

.submit-button:hover {
  background-color: #0056b3;
}


.info-container {
  display: flex;
  flex-direction: column-reverse;
  justify-content: space-between; 
  padding: 10px;
}

.info-success,
.info-danger,
.info-warning {
  padding: 10px;
  margin: 10px;
  color: #fff;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.info-success {
  background-color: #28a745;
}

.info-danger {
  background-color: #dc3545;
}

.info-warning {
  background-color: #ffc107;
}


.button-container {
  display: flex;
  justify-content: space-between;
  margin-top: 20px; 
}

.button-container button {
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.button-container button:hover {
  background-color: #45a049;
}

#timer {
  font-size: 24px;
  font-weight: bold;
  background-color: #f2f2f2;
  padding: 10px;
  margin-right: 10px;
  border: 2px solid #ccc;
  border-radius: 5px;
  text-align: center;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  display: none;
}

